package com.hikapro.backpack.model.entities;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by tariel on 27/04/16.
 */
public class Updates {

    @SerializedName("items")
    @Expose
    public List<Integer> items = new ArrayList<>();

    @SerializedName("items_deleted_ids")
    @Expose
    public List<Integer> itemsDeletedIds = new ArrayList<>();

    @SerializedName("item_categories")
    @Expose
    public List<Integer> itemCategories = new ArrayList<>();

    @SerializedName("item_categories_deleted_ids")
    @Expose
    public List<Integer> itemCategoriesDeletedIds = new ArrayList<>();

    @SerializedName("sets")
    @Expose
    public List<Integer> sets = new ArrayList<>();

    @SerializedName("sets_deleted_ids")
    @Expose
    public List<Integer> setsDeletedIds = new ArrayList<>();

    @SerializedName("timestamp")
    @Expose
    public long timestamp;
}
